##
##  txt2tags.spec -- OpenPKG RPM Package Specification
##  Copyright (c) 2000-2025 OpenPKG Project <http://openpkg.org/>
##
##  Permission to use, copy, modify, and distribute this software for
##  any purpose with or without fee is hereby granted, provided that
##  the above copyright notice and this permission notice appear in all
##  copies.
##
##  THIS SOFTWARE IS PROVIDED ``AS IS'' AND ANY EXPRESSED OR IMPLIED
##  WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
##  MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.
##  IN NO EVENT SHALL THE AUTHORS AND COPYRIGHT HOLDERS AND THEIR
##  CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
##  SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
##  LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF
##  USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND
##  ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY,
##  OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT
##  OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
##  SUCH DAMAGE.
##

#   package information
Name:         txt2tags
Summary:      Text to Markup Tag Converter
URL:          http://txt2tags.sourceforge.net/
Vendor:       Aurelio Marinho Jargas
Packager:     OpenPKG Project
Distribution: OpenPKG Community
Class:        EVAL
Group:        Typesetting
License:      GPL
Version:      2.5
Release:      20080727

#   list of sources
Source0:      http://download.sourceforge.net/txt2tags/txt2tags-%{version}.tgz

#   build information
BuildPreReq:  OpenPKG, openpkg >= 20160101
PreReq:       OpenPKG, openpkg >= 20160101, python

%description
    Txt2tags is a document generator. It reads a text file with minimal
    markup and converts it to many output formats.

%track
    prog txt2tags = {
        version   = %{version}
        url       = http://sourceforge.net/projects/txt2tags/files/
        regex     = txt2tags-(__VER__)\.tgz
    }

%prep
    %setup -q

%build

%install
    %{l_shtool} mkdir -f -p -m 755 \
        $RPM_BUILD_ROOT%{l_prefix}/bin \
        $RPM_BUILD_ROOT%{l_prefix}/man/man1 \
        $RPM_BUILD_ROOT%{l_prefix}/share/txt2tags
    %{l_shtool} install -c -m 755 \
        -e 's;#!/usr/bin/env python;#!%{l_prefix}/bin/python;g' \
        txt2tags $RPM_BUILD_ROOT%{l_prefix}/bin/
    %{l_shtool} install -c -m 644 \
        doc/manpage.man $RPM_BUILD_ROOT%{l_prefix}/man/man1/txt2tags.1
    %{l_shtool} install -c -m 644 \
        doc/*.pdf $RPM_BUILD_ROOT%{l_prefix}/share/txt2tags/
    %{l_shtool} install -c -m 644 \
        extras/txt2tags.vim $RPM_BUILD_ROOT%{l_prefix}/share/txt2tags/
    %{l_rpmtool} files -v -ofiles -r$RPM_BUILD_ROOT \
        %{l_files_std} \
        '%doc %{l_prefix}/share/txt2tags/*.pdf'

%files -f files

%clean

